1.1

1.1

get /v1/ports

Description

Get port list.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
Port Limit
Example :
any of [integer, null]None
querymarker
optional
Port Marker
Example :
any of [string, null]None
querysort
optional
Port Sort
Example :
any of [string, null]None
queryname
optional
Port Name
Example :
any of [string, null]None
querysubnet_id
optional
Subnet Id
Example :
any of [string, null]None
querysubnet_name
optional
Subnet Name
Example :
any of [string, null]None
queryid
optional
Port ID
Example :
any of [string, null]None
queryattached_resource_id
optional
Connected resource ID
Example :
any of [string, null]None
queryfixed_ip_address
optional
Fixed IP
Example :
any of [string, null]None
querymac_address
optional
MAC Address
Example :
any of [string, null]None
querystate
optional
State
Example :
any of [string, null]None
querysecurity_groups
optional
Security Group List
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKPortListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/ports

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "ports": [
        {
            "account_id": "",
            "attached_resource_id": "",
            "attached_resource_type": "",
            "created_at": "2026-02-11T06:45:07.029Z",
            "description": "",
            "fixed_ip_address": "",
            "id": "",
            "mac_address": "",
            "modified_at": "2026-02-11T06:45:07.029Z",
            "name": "",
            "state": "",
            "subnet_id": "",
            "subnet_name": "",
            "vpc_id": "",
            "vpc_name": ""
        }
    ]
}